%define name gaupol
%define version 1.0
%define release %mkrel 1

Summary: Gaupol is an editor for text-based subtitle files.
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL v3
Group:   Graphical desktop/GNOME
URL:     http://home.gna.org/gaupol/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python3-devel >= 3
BuildRequires: desktop-file-utils 
BuildRequires: python3-setuptools 
BuildRequires: doxygen
BuildRequires: intltool
BuildRequires: gettext  
BuildRequires: imagemagick
Requires: python3
Requires: pygtk2.0
Requires: python-enchant
Requires: python-chardet
Requires: iso-codes
Requires: python3-gobject3

%description
Gaupol supports multiple subtitle file formats and provides means of correcting texts 
and timing subtitles to match video. The user interface is designed with attention to 
batch processing of multiple documents and convenience of translating.

%prep
%setup -q -n %{name}-%{version}
sed -i -e "s/Encoding=UTF-8//" data/%{name}.desktop.in

%build
python3 setup.py build


%install
rm -rf %buildroot
python3 setup.py --without-iso-codes \
	clean install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--no-compile

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="GTK" \
  --add-category="GTK;GNOME;X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 data/icons/22x22/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 data/icons/32x32/%{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 data/icons/32x32/%{name}.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


# fix menu icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -af data/icons/*.svg %{buildroot}%{_datadir}/pixmaps


%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS.md NEWS.md README.md TODO.md
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/applications/gaupol.desktop
%{_mandir}/man1/gaupol.1*
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/ui/
%{_datadir}/gaupol/extensions/
#%{_datadir}/gaupol/icons/
%{_datadir}/icons/hicolor/*/apps/gaupol.*
%{_datadir}/appdata/gaupol.appdata.xml

%{python3_sitelib}/aeidon/
%{_datadir}/gaupol/headers/
%{_datadir}/gaupol/patterns/

%{_datadir}/pixmaps
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Wed May 31 2017 adrianomorselli <adrianomorselli> 1.0-1uplos2017
- update
- add BR imagemagick
